Epoll error during bootstrap


#1

I am using knife from windows laptop to boostrap a Win2K12 VM in Openstack.

Bootstrap doesnt happen and I get below error

Waiting for remote response before bootstrap.C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/session.rb:48: warning: epoll is not supported on this platform
C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/server.rb:45: warning: epoll is not supported on this platform
…C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/session.rb:48: warning: epoll is not supported on this platform
C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/server.rb:45: warning: epoll is not supported on this platform
…C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/session.rb:48: warning: epoll is not supported
on this platform
C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/server.rb:45: warning: epoll is not supported on this platform
…C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/session.rb:48: warning: epoll is not supported on this platform
C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/server.rb:45: warning: epoll is not supported on this platform
…C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/session.rb:48: warning: epoll is not supported on this platform
C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/server.rb:45: warning: epoll is not supported on this platform
…C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/session.rb:48: warning: epoll is not supported on this platform
C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/server.rb:45: warning: epoll is not supported on this platform
…C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/session.rb:48: warning: epoll is not supported on this platform
C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/server.rb:45: warning: epoll is not supported on this platform
…C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/session.rb:48: warning: epoll is not supported on this platform
C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/server.rb:45: warning: epoll is not supported on this platform
…C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/session.rb:48: warning: epoll is not supported on this platform
C:/opscode/chefdk/embedded/lib/ruby/gems/2.1.0/gems/em-winrm-0.7.0/lib/em-winrm/server.rb:45: warning: epoll is not supported on this platform
ERROR: No response received from remote node after 2.19 minutes, giving up.
ERROR: WinRM::WinRMAuthorizationError: WinRM::WinRMAuthorizationError